commit:     f6f1850e2efe79dccc8f2c3e2a5a1c49bb47c81f
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 18 12:04:42 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jun 18 12:06:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f6f1850e

dev-ruby/actionpack: add 7.0.5

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/actionpack/Manifest                |  1 +
 dev-ruby/actionpack/actionpack-7.0.5.ebuild | 70 +++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-ruby/actionpack/Manifest b/dev-ruby/actionpack/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/actionpack/Manifest
+++ b/dev-ruby/actionpack/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 
10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
 DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 
0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a
 SHA512 
f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
 DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 
7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74
 SHA512 
fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
 DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 
389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf
 SHA512 
2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B 
c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9
 SHA512 
93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448

diff --git a/dev-ruby/actionpack/actionpack-7.0.5.ebuild 
b/dev-ruby/actionpack/actionpack-7.0.5.ebuild
new file mode 100644
index 000000000000..fc6527ac8354
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-7.0.5.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       ~dev-ruby/activesupport-${PV}
+       ~dev-ruby/actionview-${PV}
+       dev-ruby/rack:2.2
+       >=dev-ruby/rack-test-0.6.3:*
+       >=dev-ruby/rails-html-sanitizer-1.2.0:1
+       dev-ruby/rails-dom-testing:2
+"
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/mocha:0.14
+               dev-ruby/bundler
+               >=dev-ruby/capybara-3.26
+               ~dev-ruby/activemodel-${PV}
+               ~dev-ruby/railties-${PV}
+               >=dev-ruby/rack-cache-1.2:1.2
+               dev-ruby/selenium-webdriver:4
+               www-servers/puma
+               <dev-ruby/minitest-5.16:*
+       )"
+
+all_ruby_prepare() {
+       eapply "${FILESDIR}/actionpack-7.0.4-rack-test-2.patch"
+
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -i -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+       rm ../Gemfile.lock || die
+
+       sed -i -e '3igem "rack", "<3"; gem "minitest", "<5.16"' 
test/abstract_unit.rb || die
+
+       # Use different timezone notation, this changed at some point due to an 
external dependency changing.
+       sed -e 's/-0000/GMT/' \
+               -i test/dispatch/response_test.rb test/dispatch/cookies_test.rb 
test/dispatch/session/cookie_store_test.rb || die
+
+       # Avoid tests that fail with a fixed cgi.rb version
+       sed -e '/test_session_store_with_all_domains/askip "Fails with fixed 
cgi.rb"' \
+               -i test/dispatch/session/cookie_store_test.rb || die
+}

Reply via email to